﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts {
    <script>

        $(document).ready(function () {
            var source =
                {
                    datafields:
                    [
                        { name: 'Id', type: 'number' },
                        { name: 'UserId', type: 'int' },
                        { name: 'Title', type: 'string' },
                        { name: 'CompanyName', type: 'string' },
                        { name: 'Domain', type: 'string' },
                        { name: 'GameMd5', type: 'string' },
                        { name: 'AddedDate', type: 'date' },
                        { name: 'BannerEnable', type: 'bool' },
                        { name: 'PreRoll', type: 'bool' },
                        { name: 'ShowAfterTime', type: 'int' },
                        { name: 'Deleted', type: 'int' }
                    ],
                    datatype: "json",
                    url: "/BannerSettings/Get",
                    filter: function () {
                        $("#jqxgrid").jqxGrid('updatebounddata', 'filter');
                    },
                    // update the grid and send a request to the server.
                    sort: function () {
                        $("#jqxgrid").jqxGrid('updatebounddata', 'sort');
                    },
                    root: "Rows",
                    beforeprocessing: function (data) {
                        source.totalrecords = data.TotalRows;
                    }
                };

            var dataAdapter = new $.jqx.dataAdapter(source);
            var isEditable = function (row) {
                return false;
            }
            var cellsrenderer = function (row, column, value, defaultSettings, columnproperties, rowdata) {
                if (rowdata.Deleted > 0) {
                    return '<div style="margin-top: 5px; margin-left: 15px; font-family: "Roboto", sans-serif !important;">' + value + '</div><div style="margin-left: 15px; font-size:11px; color: red;"> ' + rowdata.GameMd5 + '</div>';
                }
                else {
                    return '<div style="margin-top: 5px; margin-left: 15px; font-family: "Roboto", sans-serif !important;">' + value + '</div><div style="margin-left: 15px; font-size:11px; color: blue;"> ' + rowdata.GameMd5 + '</div>';
                }
            }

            var columnsrenderer = function (value) {
                return '<div style="text-align: center; margin-top:10px;"><b>' + value + '</b></div>';
            }

            $("#jqxgrid").jqxGrid(
                {
                    width: "100%",
                    height: 650,
                    rowsheight: 35,
                    source: dataAdapter,
                    showfilterrow: true,
                    editable: true,
                    filterable: true,
                    pageable: true,
                    sortable: true,
                    pagesize: 20,
                    autoheight: true,
                    selectionmode: 'multiplecellsextended',
                    enablebrowserselection: true,
                    virtualmode: true,
                    rendergridrows: function (obj) {
                        return obj.data;
                    },
                    columns:
                    [
                        { text: 'Id', datafield: 'Id', filtertype: 'textbox', renderer: columnsrenderer, hidden: true },
                        { text: 'GameMd5', datafield: 'GameMd5', filtertype: 'textbox', renderer: columnsrenderer, hidden: true },
                        { text: 'User Id', datafield: 'UserId', filtertype: 'textbox', renderer: columnsrenderer, width: "5%", editable: false },
                        { text: 'Partner', datafield: 'CompanyName', filtertype: 'textbox', renderer: columnsrenderer, width: "13%", editable: false },
                        { text: 'Domain', datafield: 'Domain', filtertype: 'textbox', renderer: columnsrenderer, width: "17%", editable: false },
                        { text: 'Title', datafield: 'Title', filtertype: 'textbox', width: '19%', renderer: columnsrenderer, cellsrenderer: cellsrenderer, sortable: true, editable: false },
                        { text: 'Added Date', datafield: 'AddedDate', filtertype: 'date', renderer: columnsrenderer, width: "10%", cellsalign: 'center', sortable: true, cellsformat: 'dd/MM/yyyy', editable: false },
                        { text: 'Banner', datafield: 'BannerEnable', filtertype: 'textbox', renderer: columnsrenderer, width: "7%", cellsalign: 'center', editable: false },
                        { text: 'Pre Roll', datafield: 'PreRoll', filtertype: 'textbox', renderer: columnsrenderer, width: "7%", cellsalign: 'center', editable: false },
                        { text: 'Time (Min)', datafield: 'ShowAfterTime', filtertype: 'textbox', renderer: columnsrenderer, width: "10%", cellsalign: 'center', editable: false },
                        { text: 'Deleted', datafield: 'Deleted', filtertype: 'textbox', renderer: columnsrenderer, width: "6%", editable: false },
                        {
                             text: 'Edit', datafield: 'Edit', columntype: 'button', width: '6%', filterable: false, renderer: columnsrenderer, cellsrenderer: function (row, rowdata) {
                                 if ($("#jqxgrid").jqxGrid('getcellvalue', row, "Deleted") == 2) {
                                     return "Deleted";
                                 }
                                 else {
                                     return "Edit";
                                 }
                             }
                            , buttonclick: function (row, rowdata) {
                                 if ($("#jqxgrid").jqxGrid('getcellvalue', row, "Deleted") != 2) {
                                     editrowindex = row;
                                     var id = $("#jqxgrid").jqxGrid('getcellvalue', row, "GameMd5");
                                     window.location = '/BannerSettings/Edit/' + id;
                                 }
                             }
                         },
                    ]
                });
        });
    </script>
}

<div class="column">
    <div class="menu" style="text-align:left; color:black">
        <h2 style="width:100%; margin-left: 0 auto; margin-right:0 auto;">Banner Settings</h2>
        <div id="jqxgrid" style="width: 100% !important; margin-top:-20px;"></div>
        <div id="ordersGrid" style="width: 100% !important;"></div>
    </div>
</div>

